Access to x1 broken on stat1006
Closed, ResolvedPublic

Description

When stat1003 was in use, connecting to x1-analytics-slave used to give me access to a replica of the x1 cluster. On stat1006, this doesn't work anymore. It looks like s3-analytics-slave and x1-analytics-slave are both aliases for dbstore1002, and the x1 tables (e.g. echo_event) aren't on there.

Catrope created this task.Oct 14 2017, 10:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 14 2017, 10:02 PM
fdans moved this task from Incoming to Radar on the Analytics board.Oct 19 2017, 3:57 PM
elukey added a subscriber: elukey.Oct 19 2017, 3:59 PM

Yes we switched the CNAME on purpose a while ago (https://gerrit.wikimedia.org/r/#/c/378211/1/templates/wmnet) to avoid access from the research user to db1029. We could set up on dbstore1002 the x1 replication if needed, let's also see what the DBA team thinks about it.

This is a duplicate. The problem is it is not easy to replicate x1 because it duplicates db names (e.g. enwiki and enwiki are both on s1 and x1). I promised to provide temporary access soon, if I can think of a way (I am lacking servers right now for this). We could setup a separate instance for x1 on dbstore1002, I guess, on a separate port?

jcrespo changed the task status from Duplicate to Resolved.Oct 20 2017, 10:33 AM
jcrespo claimed this task.

This was resolved on T175970.